From 321f3c623e9c947bae305fbdfbf0d1de1819f4ae Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 04:52:12 +0000
Subject: [PATCH 10/15] Exclude subcommand which does not have help


gitcred was added and does not have help by adding `add_help=False`.
Such subcommands will be excluded in the generated documentation.

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/doc/generate_commands_docs.py b/doc/generate_commands_docs.py
index 06b883e..8e10e8e 100644
--- a/doc/generate_commands_docs.py
+++ b/doc/generate_commands_docs.py
@@ -113,6 +113,7 @@ def generate_man_pages_list_file(parser, cli_subparsers, app_manpage_subject):
             1
         ]
         for parser_name, command_parser in cli_subparsers.choices.items()
+        if parser_name in action_helps
     ]
 
     # Add application manpage manually. For example, in a downstream client
@@ -139,7 +140,8 @@ def generate_command_rst_docs(cli_subparser, template_dir=None):
 
     Each document is formatted in reStructuredText.
     """
-    for command_name, parser in cli_subparser.choices.items():
+    for command_name, parser in [item for item in cli_subparser.choices.items()
+                                 if item[1].add_help]:
         arguments_text = []
         options_text = []
         for action in parser._actions:
@@ -217,7 +219,8 @@ def generate_cli_rst(parser, cli_subparsers, template_dir=None):
     """Generate cli.rst for generating HTML document"""
     commands_list = [
         '   commands/{0}'.format(parser_name)
-        for parser_name, _ in cli_subparsers.choices.items()
+        for parser_name, parser in cli_subparsers.choices.items()
+        if parser.add_help
     ]
     synopsis_global_options = generate_app_synopsis_global_options(
         parser, template_dir=template_dir)

